boost::geometry::strategy::distance::comparable::pythagoras_point_box< CalculationType >::calculation_type< Point, Box > Struct Template Reference

List of all members.

## Public Types

typedef util::calculation_type::geometric::binary < Point, Box, CalculationType > ::type | type

### template<typename CalculationType = void>
template<typename Point, typename Box>
struct boost::geometry::strategy::distance::comparable::pythagoras_point_box< CalculationType >::calculation_type< Point, Box >

## Member Typedef Documentation

template<typename CalculationType = void>
template<typename Point , typename Box >

typedef util::calculation_type::geometric::binary< Point, Box, CalculationType >::type boost::geometry::strategy::distance::comparable::pythagoras_point_box< CalculationType >::calculation_type< Point, Box >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK